import time

from netforce.model import Model, fields, get_model
from netforce.utils import get_data_path
from netforce.access import get_active_company

class LaborCostEntryLine(Model):
    _name="clinic.labor.cost.entry.line"
    _string="Labor Cost Entry Line"
    _multi_company=True

    _fields={
        'entry_id': fields.Many2One("clinic.labor.cost.entry","Entry",required=True),
        'staff_id': fields.Many2One("clinic.staff","Staff",required=True),
        'date': fields.Date("Date"),
        'qty': fields.Integer("Qty"),
        'rate': fields.Float("Rate Avg."),
        'amount': fields.Float("Amount"),
        'company_id': fields.Many2One("company","Company"),
        "type": fields.Selection([['staff','Staff'],["doctor","Doctor"],["nurse","Nurse"]],"Type"),
    }
    
    _order="type"

    _defaults={
        'date': lambda *a: time.strftime("%Y-%m-%d"),
        'company_id': lambda *a: get_active_company(),
    }

    def create(self,vals,**kw):
        staff=get_model('clinic.staff').browse(vals['staff_id'])
        vals['type']=staff.type
        new_id=super().create(vals,**kw)
        return new_id

LaborCostEntryLine.register()
